Bug 836185 - Kernel package should contain sch_htb module
Kernel package should contain sch_htb module
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
Depends On:
Blocks: 835055
  Show dependency treegraph
Reported: 2012-06-28 05:53 EDT by Michal Privoznik
Modified: 2012-07-07 17:54 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-07-07 17:54:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michal Privoznik 2012-06-28 05:53:34 EDT
Description of problem:

Libvirt has capability of setting QoS over VM interfaces. It's implemented via HTB scheduler. However, this module is not part of main kernel package but kernel-modules-extra. Since libvirt is not dependent on that package we need to move the module into the main kernel package.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. make sure kernel-modules-extra is not installed
2. define libvirt domain with QoS on an interface (see comment 1 in bug 835055)
3. virsh start $domain
4. observe failure

Alternative steps to reproduce:
1. make sure kernel-modules-extra is not installed
2. /sbin/tc qdisc add dev vnet0 root handle 1: htb default 1
   (substitute vnet0 with real NIC)
3. observe failure

Actual results:
Domain is not started.
Or for alternative steps: Queuing discipline cannot be created.

Expected results:
Domain can be started
Or for alternative steps: Queuing discipline is be created.

Additional info:

I don't think making libvirt dependent on kernel-modules-extra is the right path of fixing this. Because it's actually /sbin/tc which should be dependent if any. On the other hand, tc shouldn't be dependent on any QoS module. We shouldn't force users to install whole bunch of scheduling algorithms they won't even use.
Comment 1 Josh Boyer 2012-07-05 11:54:02 EDT
Fixed in F17 and rawhide.  Will be in the next build for each.
Comment 2 Fedora Update System 2012-07-05 17:56:14 EDT
kernel-3.4.4-5.fc17 has been submitted as an update for Fedora 17.
Comment 3 Fedora Update System 2012-07-06 17:25:31 EDT
Package kernel-3.4.4-5.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.4.4-5.fc17'
as soon as you are able to, then reboot.
Please go to the following url:
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-07-07 17:54:48 EDT
kernel-3.4.4-5.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.